Bug 1293935 - Review Request: rubygem-concurrent-ruby - Modern concurrency tools for Ruby
Review Request: rubygem-concurrent-ruby - Modern concurrency tools for Ruby
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominic Cleal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 10:19 EST by Vít Ondruch
Modified: 2016-01-25 11:24 EST (History)
2 users (show)

See Also:
Fixed In Version: rubygem-concurrent-ruby-1.0.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-25 11:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcleal: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2015-12-23 10:19:57 EST
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-concurrent-ruby.git/plain/rubygem-concurrent-ruby.spec?id=9035556dc405a56a807d8bac3a3893a8b1352f6d
SRPM URL: http://people.redhat.com/vondruch/rubygem-concurrent-ruby-1.0.0-1.fc24.src.rpm
Description:
Modern concurrency tools including agents, futures, promises, thread pools,
actors, supervisors, and more.

Inspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency
patterns.

Fedora Account System Username: vondruch

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=12294623
Comment 1 Dominic Cleal 2016-01-25 06:24:32 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Source1 instructions say "git git clone" rather than "git clone"

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     concurrent-ruby-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros:
     /usr/share/gems/specifications/concurrent-ruby-1.0.0.gemspec, %exclude
     /usr/share/gems/cache/concurrent-ruby-1.0.0.gem
[x]: Gem package should exclude cached Gem.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-concurrent-ruby-1.0.0-1.fc24.noarch.rpm
          rubygem-concurrent-ruby-doc-1.0.0-1.fc24.noarch.rpm
          rubygem-concurrent-ruby-1.0.0-1.fc24.src.rpm
rubygem-concurrent-ruby.noarch: W: no-documentation
rubygem-concurrent-ruby.src: W: invalid-url Source1: concurrent-ruby-1.0.0-specs.tar.gz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
rubygem-concurrent-ruby (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-concurrent-ruby-doc (rpmlib, GLIBC filtered):
    rubygem-concurrent-ruby



Provides
--------
rubygem-concurrent-ruby:
    rubygem(concurrent-ruby)
    rubygem-concurrent-ruby

rubygem-concurrent-ruby-doc:
    rubygem-concurrent-ruby-doc



Source checksums
----------------
https://rubygems.org/gems/concurrent-ruby-1.0.0.gem :
  CHECKSUM(SHA256) this package     : bba0491c25d791fa8ada675b8818f938f6f21e1b6feb9bedb720ed3f1d7b0d63
  CHECKSUM(SHA256) upstream package : bba0491c25d791fa8ada675b8818f938f6f21e1b6feb9bedb720ed3f1d7b0d63


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1293935 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Vít Ondruch 2016-01-25 06:40:28 EST
Hi Dominic,

Thx for the review.

> - Source1 instructions say "git git clone" rather than "git clone"

Good catch. I fixed this in my repo:

https://fedorapeople.org/cgit/vondruch/public_git/rubygem-concurrent-ruby.git/tree/rubygem-concurrent-ruby.spec?id=74085ca068f2e40bada9b7e44f0449545206bcd3

I am not going to update the SRPM, since this is so tiny nit ...

Is there anything else I should do to get this package approved?
Comment 3 Dominic Cleal 2016-01-25 07:22:03 EST
That's all, the fix looks good.

Review approved.

Thanks Vít!
Comment 4 Vít Ondruch 2016-01-25 07:29:00 EST
Thx for the review!
Comment 5 Gwyn Ciesla 2016-01-25 09:16:08 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-concurrent-ruby

Note You need to log in before you can comment on or make changes to this bug.